Subject: bug#57080: 29.0.60; [PATCH] Updates to mode line construct documentation

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Mar 2023 10:54:48 +0200

> Date: Sat, 18 Mar 2023 21:38:16 +1300
> From: Phil Sainty <[email-masked]>
> Cc: [email-masked]
> 
> >> * The %t construct was obsolete but still documented.
> > 
> > So let's move %t to where %m is.
> 
> Since commit 8549f9e89bd9288c4c709d183a5bf8f07dbeed3d (in 2013)
> this construct doesn't do anything at all, and the documentation
> in doc/lispref/modes.texi was removed entirely at that time.
> Is it still useful to document it anywhere at this point?

I thought you were talking about adding it (to the manual or
elsewhere)?  Are you instead suggesting to remove it from the doc
string?  That wasn't clear.

> >   . I'm okay with manual changes, modulo the movement of %m -- it
> >     should stay where it was.
> >   . I'm okay with adding %t to the manual (in the "obsolete" part).
> 
> Per comments above I'm not sure this will be useful, so I'll wait for
> confirmation either way.

What do you suggest instead? remove %t from the doc string?  That's
fine with me, on emacs-29:

> >   . I'm okay with removing %t from the doc string.
> >   . I'm okay with fixing the doc string of global-mode-string.
> >   . All the rest is okay for master.
> 
> 
> Thanks Eli.

Thanks.